Package org.eclipse.birt.report.model.api.metadata

# Interface ISlotDefn

All Superinterfaces:
  `org.eclipse.birt.report.model.metadata.IContainerDefn`

public interface ISlotDefn extends org.eclipse.birt.report.model.metadata.IContainerDefn
Interface for the definition of a slot within an element. It defines methods to get Meta-data information about a slot within an element. Elements can act as a container, that is one that can contain other elements. A container has one or more slots. Many elements have just one slot, but some (such as the design) have several.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canContain(IElementDefn type)`
Determines if this slot can contain an element of the given type.
`boolean`
`canContain(org.eclipse.birt.report.model.core.DesignElement content)`
Determines if an element can reside within this slot.
`List<IElementDefn>`
`getContentElements()`
Returns the set of element types that can appear in the slot.
`List<IElementDefn>`
`getContentExtendedElements()`
Returns the set of element types that can appear in the slot.
`String`
`getDisplayName()`
Returns the localized display name.
`String`
`getDisplayNameID()`
Returns the message ID for the display name.
`String`
`getName()`
Returns the internal name.
`String`
`getSelector()`
Returns the selector associated with the slot.
`String`
`getSince()`
Return the version in which the slot was introduced.
`int`
`getSlotID()`
Returns the internal slot identifier.
`String`
`getXmlName()`
Return the XML element used to hold slot contents.
`boolean`
`isMultipleCardinality()`
Returns the slot cardinality.

### Methods inherited from interface org.eclipse.birt.report.model.metadata.IContainerDefn

`getAllowedElements, getAllowedElements, getNameConfig`

## Method Details

### getName

String getName()
Returns the internal name.

Specified by:
  `getName` in interface `org.eclipse.birt.report.model.metadata.IContainerDefn`
Returns:
  the name

### isMultipleCardinality

boolean isMultipleCardinality()
Returns the slot cardinality.

Returns:
  true if the cardinality is multiple, false if it is single

### getDisplayName

String getDisplayName()
Returns the localized display name.

Specified by:
  `getDisplayName` in interface `org.eclipse.birt.report.model.metadata.IContainerDefn`
Returns:
  the display name

### getDisplayNameID

String getDisplayNameID()
Returns the message ID for the display name.

Returns:
  the message ID for the display name

### getSlotID

int getSlotID()
Returns the internal slot identifier.

Returns:
  the slot identifier

### getContentElements

List<IElementDefn> getContentElements()
Returns the set of element types that can appear in the slot. Each object in the list is instance of `IElementDefn`.

Returns:
  the list of content elements.

### getContentExtendedElements

List<IElementDefn> getContentExtendedElements()
Returns the set of element types that can appear in the slot. Each object in the list is instance of `IElementDefn`. Extended elements are replaced by actual extension elements.

Returns:
  the list of content elements.

### canContain

boolean canContain(IElementDefn type)
Determines if this slot can contain an element of the given type.

Specified by:
  `canContain` in interface `org.eclipse.birt.report.model.metadata.IContainerDefn`
Parameters:
  `type` - the type to test
Returns:
  true if the slot can contain the type, false otherwise

### canContain

boolean canContain(org.eclipse.birt.report.model.core.DesignElement content)
Determines if an element can reside within this slot.

Specified by:
  `canContain` in interface `org.eclipse.birt.report.model.metadata.IContainerDefn`
Parameters:
  `content` - the design element to check
Returns:
  true if the element can reside in the slot, false otherwise

### getSince

String getSince()
Return the version in which the slot was introduced. Returns "reserved" if the slot is not yet supported.

Returns:
  version in which the slot was introduced.

### getXmlName

String getXmlName()
Return the XML element used to hold slot contents. If blank, then the slot is anonymous (its contents appear directly inside the container.)

Returns:
  the XML element used to hold slot contents

### getSelector

String getSelector()
Returns the selector associated with the slot. Some selectors end with -n. In this case, the n represents the number 1 though 9, depending on the slot location.

Returns:
  the default style for this slot.